osl::DirectionTraitsGen< UL > Struct Reference

`#include <directionTraits.h>`

## Static Public Attributes

static const int | blackDx =1
static const int | blackDy =-1
static const bool | canPromoteTo =true
static const Direction | altDir =DR
static const Direction | longDir =LONG_UL
static const Direction | primDir =UL
static const int | ptypeMask

## Detailed Description

Definition at line 14 of file directionTraits.h.

## Member Data Documentation

## altDir

const Direction osl::DirectionTraitsGen< UL >::altDir =DR

static

Definition at line 18 of file directionTraits.h.

## blackDx

const int osl::DirectionTraitsGen< UL >::blackDx =1

static

Definition at line 15 of file directionTraits.h.

## blackDy

const int osl::DirectionTraitsGen< UL >::blackDy =-1

static

Definition at line 16 of file directionTraits.h.

## canPromoteTo

const bool osl::DirectionTraitsGen< UL >::canPromoteTo =true

static

Definition at line 17 of file directionTraits.h.

## longDir

const Direction osl::DirectionTraitsGen< UL >::longDir =LONG_UL

static

Definition at line 19 of file directionTraits.h.

## primDir

const Direction osl::DirectionTraitsGen< UL >::primDir =UL

static

Definition at line 20 of file directionTraits.h.

## ptypeMask

const int osl::DirectionTraitsGen< UL >::ptypeMask

static

Initial value:
=
(1<<PPAWN)|(1<<PLANCE)|(1<<PKNIGHT)|(1<<PSILVER)|(1<<PBISHOP)|
(1<<PROOK)|(1<<KING)|(1<<GOLD)|(1<<SILVER)|(1<<BISHOP)
osl::PPAWN
@ PPAWN
Definition basic_type.h:87
osl::BISHOP
@ BISHOP
Definition basic_type.h:99
osl::PROOK
@ PROOK
Definition basic_type.h:92
osl::KING
@ KING
Definition basic_type.h:93
osl::SILVER
@ SILVER
Definition basic_type.h:98
osl::PKNIGHT
@ PKNIGHT
Definition basic_type.h:89
osl::GOLD
@ GOLD
Definition basic_type.h:94
osl::PLANCE
@ PLANCE
Definition basic_type.h:88
osl::PBISHOP
@ PBISHOP
Definition basic_type.h:91
osl::PSILVER
@ PSILVER
Definition basic_type.h:90

Definition at line 21 of file directionTraits.h.

The documentation for this struct was generated from the following file:

- directionTraits.h